robot-playernav(1)

NAME
robot-playernav - GUI client to control over localize and planner devices

SYNOPSIS
robot-playernav [options] <host:port> [<host:port>...]

DESCRIPTION
robot-playernav is a GUI client that provides control over localize and planner devices. It allows you to set your robots' localization hypotheses by dragging and dropping them in the map. You can set global goals the same way, and see the planned paths and the robots' progress toward the goals. robot-playernav can also display (a subset of) the localization system's current particle set, which may help in debugging localization. You can think of playernav as an Operator Control Unit (OCU). robot-playernav can also be used just to view a map.

OPTIONS

-fps dumprate
    dump screenshots rate in Hz (default: 5Hz).

-zoom zoomlevel
    initial level of zoom in the display (default: 1).

-aa {0|1}
    use anti-aliased canvas for display (0 == false; 1 == true). The anti-aliased canvas looks nicer but may require more processor cycles (default: 1).

-map map_idx
    the index of the map to be requested and displayed (default: 0).

AUTHOR
Player was written by Brian Gerkey <gerkey@users.sourceforge.net> and contributors. This manual page was written by Daniel Hess for the Debian Project.

SEE ALSO
The HTML documentation in /usr/share/doc/player/html of the robot-player-doc package.